History
#1 - 2016-01-17 03:32 AM - Giulio Moro
- % Done changed from 0 to 40

Thought of switching to portmidi as a library for midi i/o and parsing messages.
Could not use it for midi i/o as it does not recognize midi devices plugged into the bbb, even if they are listed with
$ amidi -l
(tested with the mm.c program distributed with portmidi source code).

Issue is snd_seq_query_next_client() does not return the usb midi device (unlike on my laptop).

Two routes:
- write a file-system-like-based "pm_read_short" method (and more)
- make the device show up here

#2 - 2016-02-03 01:26 AM - Giulio Moro

Implemented midi output.
TODO: put the usleep inside midiInputLoop() and midiOutputLoop() , to allow support for multiple ports.

#3 - 2016-06-05 02:49 AM - Giulio Moro

add support for mIdi messages without status byte
